Subject: Re: ncurses just won't clear the screen?
From: [email-masked]

24 May 1997 01:38:39 -0700
Sender: [email-masked]
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
References: <[email-masked]>
Comments: Authenticated sender is <[email-masked]>
Original-To: "eric hilton" <[email-masked]>, [email-masked]
MIME-Version: 1.0
Content-type: text/plain; charset=US-ASCII
Content-transfer-encoding: 7BIT
In-reply-to: <[email-masked]>
X-mailer: Pegasus Mail for Win32 (v2.53/R1)
Original-Sender: [email-masked]

> Check your /etc/termcap file to see if you have the updated one. 
> Basic term abilities seem to work now. I got rogue compiled and 
> working just fine. (Although I didn't use ncurses, it comes with a 
> toned down curses implementation)

I copied it straight from /usr/etc.
 
> Try this:
> 
> #include <stdio.h>
> int
> main()
> {
> 	printf("\033[2J");
> }
> 
> Compile and run it, if it clears the screen your term has the 
> properties of a proper terminal.
> 
> BTW my $TERM is ansi. I set it in autoexec.bat. I seem to recall when 
> I used linux term it didnt clear my screen either.

That did work perfectly with TERM=linux.  So perhaps it's just 
ncurses that's not doing the screen clears.  That's where the 
clear.exe came from, and many of the test programs aren't working.

BTW, I found that vt200 does work for screen clears.  But then you 
lose things like color.
---
"Oh, what sad times are these when passing ruffians can say 'Ni!' at will to old
ladies.  There is a pestulance upon this land, nothing is sacred.  Even those
who arrange and design shrubberies are under considerable economic stress of
this period of history."                                   -- Roger the Shrubber
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".